# Wisteria [![Build Status](https://travis-ci.org/t32k/wisteria.svg)](https://travis-ci.org/t32k/wisteria) [![wercker status](https://app.wercker.com/status/fff7cc4c5446d5b16065e8f93a79309e/s/master "wercker status")](https://app.wercker.com/project/bykey/fff7cc4c5446d5b16065e8f93a79309e)

Wisteria.css is a class selectors based harmless CSS library.

+ __Harmless__: Wisteria does not destroy your web page style, because it has only class selectors. [HTML5-Reset](https://github.com/murtaugh/HTML5-Reset) just resets the style.
+ __Helper__: Wisteria has a bunch of [Emmet](http://docs.emmet.io/cheat-sheet/)-like utility classes. It means you do not have to learn the namig rules.
+ __Hi-Control__: Wisteria's grid implements simple and modern [Flexbox](http://philipwalton.github.io/solved-by-flexbox/demos/grids/) layout, so you can make a mockup site with less typing rapidly.

[View documents site](http://t32k.me/wisteria/).

## Install

+ __Bower:__ `bower install --save wisteria`
+ __npm:__ `npm install --save wisteria`
+ __Download:__ [zip](https://github.com/t32k/wisteria/archive/master.zip)

## Getting started

Include the wisteria.css and [HTML5-Rest.css](https://github.com/murtaugh/HTML5-Reset) files in your site.

```html
<link rel="stylesheet" href="css/html5-reset.css">
<link rel="stylesheet" href="css/wisteria.css">
```

## Browser Support

+ Google Chrome (latest)
+ Mozilla Firefox (latest)
+ Apple Safari (latest)
+ Opera (latest)
+ Internet Explorer (latest) maybe...

## License

The MIT License (MIT)

Copyright (c) 2015 Koji Ishimoto

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.